<?php
/*
Module développé par l'équipe de Magavenue. Pour plus d'informations, rendez-vous sur notre blog à l'adresse : http://magavenue.com/blog.
Pour nous contacter, merci d'utiliser le formulaire de contact sur notre blog à l'adresse : http://magavenue.com/blog.
*/
include(dirname(__FILE__).'/../../config/config.inc.php');
require_once(dirname(__FILE__).'/../../init.php');
header("Content-Type:text/xml; charset=utf-8");

echo '<?xml version="1.0" encoding="UTF-8"?>'."\n".'

<?xml-stylesheet href="rss.xsl" type="text/xsl" media="screen"?>

<rss version="2.0">
	<channel>
		<title><![CDATA[Cat&eacute;gorie '.Configuration::get('PS_SHOP_NAME').']]></title>
		<link>http://'.htmlspecialchars($_SERVER['HTTP_HOST'], ENT_COMPAT, 'UTF-8').__PS_BASE_URI__.'</link>
		<mail>'.Configuration::get('PS_SHOP_EMAIL').'</mail>
		<generator>Magavenue</generator>
		<language>'.Language::getIsoById(intval($cookie->id_lang)).'</language>';

	$product = new Product(intval($_GET['id_product']), true, intval($cookie->id_lang));
  	$productPriceWithTax = $product->getPrice(true, NULL, 2);
	$productPriceWithoutEcoTax = $productPriceWithTax - $product->ecotax;
	$configs = Configuration::getMultiple(array('PS_ORDER_OUT_OF_STOCK', 'PS_LAST_QTIES'));

    $category = new Category(intval($product->id_category_default), intval($cookie->id_lang));
    $category->name = Category::hideCategoryPosition($category->name);

    echo"\t\t<item>\n\t\t\t<title><![CDATA[".$product->name."]]></title>\n\t\t\t<categorie><![CDATA[".$category->name."]]></categorie>\n\t\t\t<categorie_id><![CDATA[".$product->id_category_default."]]></categorie_id>\n";//nom du produit
    $img='';
    $images = $product->getImages(intval($cookie->id_lang));
    $productImages = array();
    foreach ($images AS $k => $image)
    {
    	if ($image['cover'])
    	{
    	    $mainImage=$images[0];
    		$cover = $image;
    		$cover['id_image'] = intval($product->id).'-'.$cover['id_image'];
    		$cover['id_image_only'] = $image['id_image'];
            echo"\t\t\t<imagescover>".$cover['id_image']."</imagescover>\n";
    	}
    	$productImages[$image['id_image']] = $image;
        $img.="<li><a target='_blank' href='http://".htmlspecialchars($_SERVER["HTTP_HOST"], ENT_COMPAT, "UTF-8").__PS_BASE_URI__."img/p/".intval($product->id)."-".$image["id_image"]."-thickbox.jpg'><img src='http://".htmlspecialchars($_SERVER["HTTP_HOST"], ENT_COMPAT, "UTF-8").__PS_BASE_URI__."img/p/".intval($product->id)."-".$image["id_image"]."-medium.jpg' alt='".$product->name."' /></a></li>";
    }


    echo"\t\t\t<images><![CDATA[".$img."]]></images>\n
    \t\t\t<quantite><![CDATA[".$product->quantity."]]></quantite>\n
    \t\t\t<messagehs><![CDATA[".$product->availability."]]></messagehs>\n
    \t\t\t<resume><![CDATA[".$product->description_short."]]></resume>\n
    \t\t\t<description><![CDATA[".$product->description."]]></description>\n";

    $motsclefs='';
    if (Tag::getProductTags($_GET['id_product'])){
    	foreach ($product->tags[$cookie->id_lang] AS $tagName){
          $motsclefs.= $tagName;
        }
    }
    echo"\t\t\t<motsclefs><![CDATA[".$motsclefs."]]></motsclefs>\n";//mots clefs des produits

    $acc='';
if  ($accessories=$product->getAccessories(intval($cookie->id_lang))){
    foreach ($accessories as $accesoire){
        $acce_id=$accesoire['id_product'];
        $acce_product = new Product(intval($acce_id), true, intval($cookie->id_lang));
        $images = $product->getImages(intval($cookie->id_lang));
        $productImages = array();
        foreach ($images AS $k => $image)
        {
        	if ($image['cover'])
        	{
        	    $cover = $image;
        		$cover['id_image'] = intval($acce_id).'-'.$cover['id_image'];
                $image_acc='<img alt="image accessoire" src="http://'.htmlspecialchars($_SERVER["HTTP_HOST"], ENT_COMPAT, "UTF-8").__PS_BASE_URI__.'img/p/'.$cover['id_image'].'-medium.jpg" />';
        	}
        }
        $acc.='<li><h5><a href="/boutique_prestashop/produit.php?product='.$acce_id.'">'.$accesoire['name'].'</a></h5><p class="image"><a title="'.$accesoire['name'].'" href="/boutique_prestashop/produit.php?product='.$acce_id.'">'.$image_acc.'</a></p><p><a title="Plus" href="/boutique_prestashop/produit.php?product='.$acce_id.'">'.$acce_product->description_short.'</a></p><p><span class="price">'.$acce_product->getPrice(true, NULL, 2).' &euro; TTC</span><a class="button" title="Voir" href="/boutique_prestashop/produit.php?product='.$acce_id.'">Voir</a><a class="button ajax_add_to_cart_button" title="Ajouter au panier" rel="ajax_id_product_2" href="/boutique/cart.php?qty=1&id_product='.$acce_id.'&add">Ajouter au panier</a></p></li>';
    }
}
    echo"\t\t\t<accessoires><![CDATA[".$acc."]]></accessoires>\n";//accessoires du produits

    echo"\t\t\t<fabricant><![CDATA[".Manufacturer::getNameById(intval($product->id_manufacturer))."]]></fabricant>\n";//fabricant du produit
    echo"\t\t\t<fournisseur><![CDATA[".Supplier::getNameById(intval($product->id_manufacturer))."]]></fournisseur>\n";//fournisseur du produit

    $prix='';
    if ($product->on_sale)
         echo"\t\t\t<solde><![CDATA[Produit en solde !]]></solde>\n";
    if (($product->reduction_price != 0 || $product->reduction_percent != 0)&& (($product->reduction_from == $product->reduction_to)||(date("Y-m-d") <= $product->reduction_to) && (date("Y-m-d") >= $product->reduction_from)))
    echo "\t\t\t<prixreduc>".$product->getPriceWithoutReduct()."</prixreduc>\n\t\t\t<reduction><![CDATA[". $product->reduction_price. $product->reduction_percent."]]></reduction>\n";


 echo"\t\t\t<prix><![CDATA[".$productPriceWithTax."]]></prix>\n\t\t\t<ecotax><![CDATA[".$product->ecotax."]]></ecotax>\n\t\t\t<taxe><![CDATA[".$product->tax_rate."]]></taxe>\n";//fournisseur du produit



echo"\t\t\t<link>http://".htmlspecialchars($_SERVER['HTTP_HOST'], ENT_COMPAT, 'UTF-8').__PS_BASE_URI__."</link>\n
\t\t</item>\n
</channel>
</rss>";

?>